Package twisted :: Package internet :: Module gtkreactor :: Class GtkReactor

[frames | no frames]

## Class GtkReactor

     ReactorBase --+
                   |
    PosixReactorBase --+
                       |
                      GtkReactor

GTK+ event loop reactor.

Method Summary
| `_readAndWrite(self, source, condition)`
| `addReader(self, reader)`
| `addWriter(self, writer)`
| `callback(self, source, condition)`
| ``crash`(self)` See twisted.internet.interfaces.IReactorCore.crash.
| `doIteration(self, delay)`
| `doIterationTimeout(self, *args)`
| `removeAll(self)`
| `removeReader(self, reader)`
| `removeWriter(self, writer)`
| `run(self, installSignalHandlers)`
| ``simulate`(self)` Run simulation loops and reschedule callbacks.
Inherited from PosixReactorBase
| ``__init__`(self)`
| ``_handleSigchld`(self, signum, frame)` Reap all processes on SIGCHLD.
| ``_handleSignals`(self)` Install the signal handlers for the Twisted event loop.
| ``connectMulticast`(self, remotehost, remoteport, protocol, localport, interface, maxPacketSize)` Connects a ConnectedDatagramProtocol instance to a UDP port.
| ``connectSSL`(self, host, port, factory, contextFactory, timeout, bindAddress)`
| ``connectTCP`(self, host, port, factory, timeout, bindAddress)`
| ``connectUDP`(self, remotehost, remoteport, protocol, localport, interface, maxPacketSize)` DEPRECATED.
| ``connectUNIX`(self, address, factory, timeout, checkPID)`
| ``connectUNIXDatagram`(self, address, protocol, maxPacketSize, mode, bindAddress)` Connects a `ConnectedDatagramProtocol` instance to a path.
| ``connectWith`(self, connectorType, *args, **kw)`
| ``installWaker`(self)` Install a `waker' to allow threads and signals to wake up the IO thread.
| ``listenMulticast`(self, port, protocol, interface, maxPacketSize)` Connects a given DatagramProtocol to the given numeric UDP port.
| ``listenSSL`(self, port, factory, contextFactory, backlog, interface)`
| ``listenTCP`(self, port, factory, backlog, interface)`
| ``listenUDP`(self, port, protocol, interface, maxPacketSize)` Connects a given `DatagramProtocol` to the given numeric UDP port.
| ``listenUNIX`(self, address, factory, backlog, mode, wantPID)`
| ``listenUNIXDatagram`(self, address, protocol, maxPacketSize, mode)` Connects a given `DatagramProtocol` to the given path.
| ``listenWith`(self, portType, *args, **kw)`
| ``mainLoop`(self)`
| ``spawnProcess`(self, processProtocol, executable, args, env, path, uid, gid, usePTY, childFDs)`
| ``startRunning`(self, installSignalHandlers)`
Inherited from ReactorBase
| ``_cbContinueSystemEvent`(self, result, eventType)`
| ``_continueSystemEvent`(self, eventType)`
| ``_initThreadPool`(self)`
| ``_internalResolve`(self, name, timeout)`
| ``_resetCallLater`(self, tple)`
| ``addSystemEventTrigger`(self, _phase, _eventType, _f, *args, **kw)` See twisted.internet.interfaces.IReactorCore.addSystemEventTrigger.
| ``callFromThread`(self, f, *args, **kw)` See twisted.internet.interfaces.IReactorThreads.callFromThread.
| ``callInThread`(self, _callable, *args, **kwargs)` See twisted.internet.interfaces.IReactorThreads.callInThread.
| ``callLater`(self, _seconds, _f, *args, **kw)` See twisted.internet.interfaces.IReactorTime.callLater.
| ``callWhenRunning`(self, _callable, *args, **kw)` See twisted.internet.interfaces.IReactorCore.callWhenRunning.
| ``cancelCallLater`(self, callID)` See twisted.internet.interfaces.IReactorTime.cancelCallLater.
| ``clientSSL`(self, host, port, protocol, contextFactory, timeout)` Deprecated - use connectSSL instead.
| ``clientTCP`(self, host, port, protocol, timeout)` Deprecated - use connectTCP instead.
| ``clientUNIX`(self, address, protocol, timeout)` Deprecated - use connectUNIX instead.
| ``disconnectAll`(self)` Disconnect every reader, and writer in the system.
| ``fireSystemEvent`(self, eventType)` See twisted.internet.interfaces.IReactorCore.fireSystemEvent.
| ``getDelayedCalls`(self)`
| ``initThreads`(self)`
| ``installResolver`(self, resolver)`
| ``iterate`(self, delay)` See twisted.internet.interfaces.IReactorCore.iterate.
| ``removeSystemEventTrigger`(self, triggerID)` See twisted.internet.interfaces.IReactorCore.removeSystemEventTrigger.
| ``resolve`(self, name, timeout)` Return a Deferred that will resolve a hostname.
| ``runUntilCurrent`(self)` Run all pending timed calls.
| ``sigBreak`(self, *args)` Handle a SIGBREAK interrupt.
| ``sigInt`(self, *args)` Handle a SIGINT interrupt.
| ``sigTerm`(self, *args)` Handle a SIGTERM interrupt.
| ``stop`(self)` See twisted.internet.interfaces.IReactorCore.stop.
| ``suggestThreadPoolSize`(self, size)` See twisted.internet.interfaces.IReactorThreads.suggestThreadPoolSize.
| ``timeout`(self)`
| ``wakeUp`(self)` Wake up the event loop.

Class Variable Summary
`tuple` | `__implements__` = `(((<class twisted.internet.interfaces.I...`
`NoneType` | `doIterationTimer` = None
Inherited from ReactorBase
`str` | `__name__` = `'ReactorBase'`
`NoneType` | `_lock` = None
`int` | `installed` = 0
`NoneType` | `threadCallQueue` = None
`NoneType` | `threadpool` = None

Method Details

### crash(self)

See twisted.internet.interfaces.IReactorCore.crash.

  Overrides:
    `twisted.internet.base.ReactorBase.crash` (inherited documentation)

### simulate(self)

Run simulation loops and reschedule callbacks.

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (((<class twisted.internet.interfaces.IReactorCore at 0x827a854>,
           <class twisted.internet.interfaces.IReactorTime at 0x828aedc>,
           <class twisted.internet.interfaces.IReactorThreads at 0x827b60c>,
           <class twisted.internet.interfaces.IReactorPluggableResolver at 0x8\
        24c10c>),
          <class twisted.internet.interfaces.IReactorArbitrary at 0x826461c>,
          <class twisted.internet.interfaces.IReactorTCP at 0x828afc4>,
          <class twisted.internet.interfaces.IReactorUDP at 0x825557c>,
        ...

### doIterationTimer

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Sat May 15 20:08:14 2004 | http://epydoc.sf.net